## Analysis of MS/MS data with the Spectral Networks package

The spectral networks analysis of a dataset starts by executing `specnets('myparameters.params');` from the Matlab command prompt. All parameter values, including the name of the file containing the MS/MS spectra, are specified in the parameters file `myparameters.params`. Of course, you can choose any file name for the parameters file and multiple parameters files can coexist in the same directory.

The parameters file is a text file where comment lines start with '#', empty lines are ignored and parameters are specified using the format `PARAMETER_NAME=PARAMETER_VALUE`. The valid parameter names and ranges of values are given below.

#### Required parameters

Parameter name | Valid values | Description INPUT_SPECS | Any valid filename | Name of the file containing the MS/MS spectra. Valid file formats are MGF, mzXML, ms2 and multi-spectra pkl. Note that a database of protein sequences is not required if you only want to find networks of related spectra.
EXE_DIR | Any valid path | The directory where you installed and compiled the Spectral Networks package.

#### Optional parameters

Parameter name | Valid values | Description FASTA_DATABASE | Any valid filename | Database of protein sequences in FASTA format.
MIN_SPECTRUM_QUALITY | 0.0 - 1.0 | MS/MS spectra with inferior quality scores are discarded. Default value is 0.15.
TOLERANCE_PEAK | 0.0 - 1.0 | Peak mass tolerance (in Daltons). Default value is 0.5.
TOLERANCE_PM | 0.0 - 3.0 | Parent mass tolerance (in Daltons). Default value is 1.0.
MAX_MOD_MASS | Any number >0 | Maximum mass for a post-translational modification (in Daltons). Use absolute values for negative mass offsets (e.g. loss of water). Default value is 100.
MIN_RATIO | 0.0 - 1.0 | Minimum percentage of matched intensity in a spectral alignment. Default value is 0.4.
MIN_PVALUE | 0.0 - 1.0 | Minimum p-value to accept an alignment. Default value is 0.05.
MIN_MATCHED_PEAKS | Any integer >0 | Minimum number of matched peaks in a spectral alignment. Default value is 4.
TAG_LEN | Any integer >0 | Length of the sequence tags used for pattern matching identification of peptides. Default value is 6.